Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.doc.builder.xhtml1
Class InputElem

    java.lang.Object
      sharin.doc.builder.Elem
          sharin.doc.builder.GenericXmlElem<E>
              sharin.doc.builder.xhtml1.GenericCoreElem<E>
                  sharin.doc.builder.xhtml1.GenericCommonElem<InputElem>
                      sharin.doc.builder.xhtml1.InputElem

    public class InputElem

extends GenericCommonElem<InputElem>

Constructor Summary
`InputElem(Object... nodes)`

Method Summary
`InputElem` | `accept(Object value)`
`InputElem` | `accesskey(Object value)`
`InputElem` | `align(Object value)`
`InputElem` | `alignBottom()`
`InputElem` | `alignLeft()`
`InputElem` | `alignMiddle()`
`InputElem` | `alignRight()`
`InputElem` | `alignTop()`
`InputElem` | `alt(Object value)`
`InputElem` | `checked(boolean checked)`
`InputElem` | `checked(Object value)`
`InputElem` | `disabled(boolean disabled)`
`InputElem` | `disabled(Object value)`
`InputElem` | `maxlength(Object value)`
`InputElem` | `name(Object value)`
`InputElem` | `onblur(Object value)`
`InputElem` | `onchange(Object value)`
`InputElem` | `onfocus(Object value)`
`InputElem` | `onselect(Object value)`
`InputElem` | `readonly(boolean readonly)`
`InputElem` | `readonly(Object value)`
`InputElem` | `size(Object value)`
`InputElem` | `src(Object value)`
`InputElem` | `tabindex(Object value)`
`InputElem` | `type(Object value)`
`InputElem` | `typeButton()`
`InputElem` | `typeCheckbox()`
`InputElem` | `typeFile()`
`InputElem` | `typeHidden()`
`InputElem` | `typeImage()`
`InputElem` | `typePassword()`
`InputElem` | `typeRadio()`
`InputElem` | `typeReset()`
`InputElem` | `typeSubmit()`
`InputElem` | `typeText()`
`InputElem` | `usemap(Object value)`
`InputElem` | `value(Object value)`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCommonElem
`dir, lang, onclick, ondblclick, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, xmllang`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCoreElem
`clas, id, style, title`

Methods inherited from class sharin.doc.builder.GenericXmlElem
`_, attr, toString`

Methods inherited from class sharin.doc.builder.Elem
`getAttrList, getName, getNodeList, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InputElem

    public InputElem(Object... nodes)

Method Detail

### accept

    public InputElem accept(Object value)

### accesskey

    public InputElem accesskey(Object value)

### align

    public InputElem align(Object value)

### alignBottom

    public InputElem alignBottom()

### alignLeft

    public InputElem alignLeft()

### alignMiddle

    public InputElem alignMiddle()

### alignRight

    public InputElem alignRight()

### alignTop

    public InputElem alignTop()

### alt

    public InputElem alt(Object value)

### checked

    public InputElem checked(boolean checked)

### checked

    public InputElem checked(Object value)

### disabled

    public InputElem disabled(boolean disabled)

### disabled

    public InputElem disabled(Object value)

### maxlength

    public InputElem maxlength(Object value)

### name

    public InputElem name(Object value)

### onblur

    public InputElem onblur(Object value)

### onchange

    public InputElem onchange(Object value)

### onfocus

    public InputElem onfocus(Object value)

### onselect

    public InputElem onselect(Object value)

### readonly

    public InputElem readonly(boolean readonly)

### readonly

    public InputElem readonly(Object value)

### size

    public InputElem size(Object value)

### src

    public InputElem src(Object value)

### tabindex

    public InputElem tabindex(Object value)

### type

    public InputElem type(Object value)

### typeButton

    public InputElem typeButton()

### typeCheckbox

    public InputElem typeCheckbox()

### typeFile

    public InputElem typeFile()

### typeHidden

    public InputElem typeHidden()

### typeImage

    public InputElem typeImage()

### typePassword

    public InputElem typePassword()

### typeRadio

    public InputElem typeRadio()

### typeReset

    public InputElem typeReset()

### typeSubmit

    public InputElem typeSubmit()

### typeText

    public InputElem typeText()

### usemap

    public InputElem usemap(Object value)

### value

    public InputElem value(Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.